Subject: Re: [RFC/PATCH] Enhance core.logallrefupdates

From: Jakub Narebski <[email-masked]>
Date: Sun, 08 Oct 2006 12:03:20 +0200

Junio C Hamano wrote:

> This enhances core.logallrefupdates by allowing it to take
> "heads" as the value as well, which causes git to create missing
> reflog files automatically only for branch heads.  Usually tags
> are create-once-and-live-forever, and it is irritating to see
> reflog files created automatically every time a new tag is made.
> 
> As before, boolean "true" means create missing reflog files for
> all refs.
> 
> ---
> 
>  * Setting it to "tags" is not supported, as it does not make
>    much sense wanting to log only tag updates.
> 
>    Come to think of it, it might make sense to change the
>    meaning of "true" to do what this patch does.  I do not think
>    of reasons to create missing reflog for tags automatically
>    anyway.

If we change meaning of "true", perhaps (just in case in case) we
should add "all" value?
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git